[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.FindItemID

Searches for an Item in the collection, based on its TCollectionItem.ID property.

## Declaration

Source position: classesh.inc line 561

`public function TCollection.FindItemID(`
`ID: Integer`
`):TCollectionItem;`

## Description

FindItemID searches through the collection for the item that has a value of ID for its TCollectionItem.ID property, and returns the found item. If no such item is found in the collection, Nil is returned.

The routine performs a linear search, so this can be slow on very large collections.

## See also

TCollection.Items |  | Indexed array of items in the collection.
TCollectionItem.ID |  | Initial index of this item.